Emitted when the permissions on a model are modified. See ModelPermissionManager to manage permissions programmatically.

### Hierarchy

- ModelPermissionsChangedEvent

### Implements

- IConvergenceEvent

## Index

### Properties

- changes
- model
- name
- permissions
- NAME

## Properties

### changes

changes: string[]

### model

model: RealTimeModel

The model whose permissions changed

### name

name: string = ModelPermissionsChangedEvent.NAME

Implementation of IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### permissions

permissions: ModelPermissions

The permissions that changed

### StaticNAME

NAME: "permissions_changed" = "permissions_changed"